JarInputReader (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.io
Class JarInputReader

    java.lang.Object
      com.bbn.openmap.io.StreamInputReader
          com.bbn.openmap.io.JarInputReader

All Implemented Interfaces:
  InputReader

    public class JarInputReader

extends StreamInputReader

An InputReader to handle entries in a Jar file.

Field Summary
`protected java.net.URL` | `inputURL` Where to go to hook up with a resource.
`protected java.lang.String` | `jarEntryName`
`protected java.util.jar.JarFile` | `jarFile`
`protected java.lang.String` | `jarFileName`

Fields inherited from class com.bbn.openmap.io.StreamInputReader
`inputStream, inputStreamCount, name`

Constructor Summary
`JarInputReader(java.lang.String jarFilePath, java.lang.String jarEntryName)` Create a JarInputReader win the path to a jar file, and the entry name.

Method Summary
`void` | `close()` Closes the underlying file
`void` | `reopen()` Reset the InputStream to the beginning, by closing the current connection and reopening it.

Methods inherited from class com.bbn.openmap.io.StreamInputReader
`available, count, getFilePointer, getName, length, read, read, read, readBytes, seek, skipBytes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputURL

    protected java.net.URL inputURL

  Where to go to hook up with a resource.

### jarFile

    protected java.util.jar.JarFile jarFile

### jarFileName

    protected java.lang.String jarFileName

### jarEntryName

    protected java.lang.String jarEntryName

Constructor Detail

### JarInputReader

    public JarInputReader(java.lang.String jarFilePath,
                          java.lang.String jarEntryName)
                   throws java.io.IOException

  Create a JarInputReader win the path to a jar file, and the entry name. The entry name should be a path to the entry from the internal root of the jar file.

  Throws:
    `java.io.IOException`

Method Detail

### reopen

    public void reopen()
                throws java.io.IOException

  Reset the InputStream to the beginning, by closing the current connection and reopening it.

  Overrides:
    `reopen` in class `StreamInputReader`
  Throws:
    `java.io.IOException`

### close

    public void close()
               throws java.io.IOException

  Closes the underlying file

  Specified by:
    `close` in interface `InputReader`
  Overrides:
    `close` in class `StreamInputReader`
  Throws:
    `java.io.IOException` - Any IO errors encountered in accessing the file

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details